import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;

@WebServlet(name = "MainController")
public class MainController extends HttpServlet {

    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        String url = request.getRequestURI();
        PrintWriter out = response.getWriter();
        url = Controller.formatUrl(url);

        switch (url) {
            case "/main/profil" :
                displayProfile(request, response);
                return;
            case "/main/history" :
                displayHistory(request, response);
                return;
            case "/main/order" :
                displayOrder(request, response);
                return;
        }

        out.println(url + " will be cooming soon!");
    }

    private void displayHistory(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        request.getRequestDispatcher("/history.jsp").forward(request, response);
    }

    private void displayOrder(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        request.getRequestDispatcher("/order.jsp").forward(request, response);
    }

    private void displayProfile(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException{
        // TODO : request data from web service
        request.getRequestDispatcher("/profil.jsp").forward(request, response);
    }

}
